esedbinfo

NAME
esedbinfo - determines information about an Extensible Storage Engine (ESE) Database File (EDB)

SYNOPSIS
esedbinfo [-hvV] source

DESCRIPTION
esedbinfo is a utility to determine information about an Extensible Storage Engine (ESE) Database File (EDB)

esedbinfo is part of the libesedb package. libesedb is a library to access the Extensible Storage Engine (ESE) Database File (EDB) format

source is the source file.

The options are as follows:

-h  shows this help

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # esedbinfo Windows.edb
    esedbinfo 20110114
    Extensible Storage Engine Database information:
            File type:              Database
            Created in format:      0x620,12
            Current format:         0x620,12
            Page size:              8192 bytes
    Catalog content:
            Amount of tables:       15
    Table: 1                        MSysObjects (2)
            Amount of columns:      22
            Column: 1               ObjidTable (1)
            Column: 2               Type (2)
            Column: 3               Id (3)
            Column: 4               ColtypOrPgnoFDP (4)
            Column: 5               SpaceUsage (5)
            Column: 6               Flags (6)
            Column: 7               PagesOrLocale (7)
            Column: 8               RootFlag (8)
            Column: 9               RecordOffset (9)
            Column: 10              LCMapFlags (10)
            Column: 11              KeyMost (11)
            Column: 12              Name (128)
            Column: 13              Stats (129)
            Column: 14              TemplateTable (130)
            Column: 15              DefaultValue (131)
            Column: 16              KeyFldIDs (132)
            Column: 17              VarSegMac (133)
            Column: 18              ConditionalColumns (134)
            Column: 19              TupleLimits (135)
            Column: 20              Version (136)
            Column: 21              CallbackData (256)
            Column: 22              CallbackDependencies (257)
            Amount of indexes:      3
            Index: 1                Id (2)
            Index: 2                Name (4)
            Index: 3                RootObjects (5)
    Table: 2                        MSysObjectsShadow (3)
        ...

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libesedb/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2009-2013, Joachim Metz <joachim.metz@gmail.com>.

SEE ALSO